/* 60iJE^2ׂ1Ԍv             */
/* Copyright(C) 2011 Cobac.Net All Rights Reserved. */

module CLOCK1(
    input   CLK, RST,
    input   [2:0]   nBUTTON,
    output  [6:0]   nHEX0, nHEX1, nHEX2, nHEX3
);

/* XCb`͉H̐ڑ */
wire    clr, minup, secup;
BTN_IN b0 ( .CLK(CLK), .RST(RST),
            .nBIN(nBUTTON), .BOUT({clr, minup, secup}) );

/* 1HzCl[uH̐ڑ */
wire    en1hz;
CNT1SEC CNT1SEC( .CLK(CLK), .RST(RST), .EN1HZ(en1hz));

/* 60iJE^̐ڑ */
wire    [3:0]   min1,  sec1;
wire    [2:0]   min10, sec10;
wire    cout, dummy;

CNT60 SECCNT( .CLK(CLK), .RST(RST), .CLR(clr), .CEN(en1hz),
              .INC(secup), .QH(sec10), .QL(sec1), .CA(cout) );
CNT60 MINCNT( .CLK(CLK), .RST(RST), .CLR(clr), .CEN(cout),
              .INC(minup), .QH(min10), .QL(min1), .CA(dummy) );

/* 7ZOgfR[_̐ڑ */
SEG7DEC d0( .DIN(sec1),  .nHEX(nHEX0[6:0]) );
SEG7DEC d1( .DIN(sec10), .nHEX(nHEX1[6:0]) );
SEG7DEC d2( .DIN(min1),  .nHEX(nHEX2[6:0]) );
SEG7DEC d3( .DIN(min10), .nHEX(nHEX3[6:0]) );

endmodule
